import { SVGProps } from 'react'
export const IconBack = (props: SVGProps<SVGSVGElement>) => {
  return (
    <svg
      width={24}
      height={24}
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <circle
        cx={12}
        cy={12}
        r={11.5}
        transform="rotate(-180 12 12)"
        stroke="currentColor"
      />
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M14.06 8.43a.642.642 0 00-.89 0l-3.23 3.124a.618.618 0 000 .892l3.23 3.125a.642.642 0 00.89 0 .618.618 0 000-.892L11.29 12l2.77-2.679a.619.619 0 000-.892z"
        fill="currentColor"
      />
    </svg>
  )
}

export const IconEscudos = (props: SVGProps<SVGSVGElement>) => {
  return (
    <svg
      width={49}
      height={55}
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <path
        d="M9.278 41.402L7.54 45.668h-.518l-1.738-4.266h.46c.053 0 .094.013.126.039a.238.238 0 01.071.098l1.203 3.01c.026.067.05.14.074.22.026.08.05.163.069.25.02-.087.04-.17.062-.25a2.4 2.4 0 01.072-.22l1.2-3.01a.212.212 0 01.068-.092.194.194 0 01.128-.045h.461zm3.788 3.796l-.003.47h-2.628v-4.266h2.628v.47h-2.05v1.418h1.66v.452h-1.66v1.456h2.053zm4.856-3.796v4.266h-.577v-1.94h-2.301v1.94h-.578v-4.266h.578v1.902h2.3v-1.902h.578zm2.264 4.266h-.578v-4.266h.578v4.266zm4.68-.881a.11.11 0 01.084.039l.23.247c-.175.202-.388.36-.638.473-.248.113-.549.17-.902.17-.305 0-.583-.053-.833-.158a1.858 1.858 0 01-.64-.447 2.033 2.033 0 01-.411-.69 2.573 2.573 0 01-.146-.884c0-.322.05-.617.152-.884a1.909 1.909 0 011.087-1.137c.255-.108.538-.161.848-.161.303 0 .571.048.803.146.233.097.437.229.614.395l-.19.265a.166.166 0 01-.048.051.133.133 0 01-.075.018c-.035 0-.08-.019-.13-.057a1.522 1.522 0 00-.976-.319c-.221 0-.423.04-.605.117-.183.075-.34.185-.474.33-.13.145-.233.322-.306.53-.074.208-.11.444-.11.706 0 .266.037.503.113.711.077.208.181.385.312.53.133.143.289.252.468.327a1.5 1.5 0 00.583.114c.127 0 .241-.008.342-.021a1.43 1.43 0 00.283-.072c.087-.032.168-.071.241-.119.076-.05.15-.108.223-.175a.153.153 0 01.102-.045zm3.224.423c.177 0 .335-.03.474-.09a.977.977 0 00.35-.25c.098-.107.171-.235.221-.384.052-.149.077-.312.077-.491v-2.593h.575v2.593c0 .246-.04.474-.119.685-.077.21-.19.393-.336.547a1.533 1.533 0 01-.533.36c-.21.088-.447.132-.709.132-.262 0-.498-.044-.708-.131a1.565 1.565 0 01-.536-.36 1.614 1.614 0 01-.34-.548 1.968 1.968 0 01-.115-.685v-2.593h.574v2.59c0 .179.025.342.075.491.051.15.125.277.22.384.097.107.215.192.354.253.14.06.3.09.476.09zm5.747-.027v.485h-2.42v-4.266h.575v3.78h1.845zm3.5-1.099l-.67-1.735a3.637 3.637 0 01-.126-.399 3.24 3.24 0 01-.128.402l-.67 1.732h1.593zm1.202 1.584h-.447a.192.192 0 01-.125-.039.238.238 0 01-.071-.098l-.4-1.03h-1.913l-.399 1.03a.208.208 0 01-.069.095.19.19 0 01-.125.042h-.446l1.706-4.266h.583l1.706 4.266zm2.338-2.2c.167 0 .314-.02.44-.06a.92.92 0 00.322-.172.723.723 0 00.197-.268.87.87 0 00.065-.342c0-.254-.083-.446-.25-.575-.167-.129-.417-.193-.75-.193h-.631v1.61h.607zm1.97 2.2h-.511c-.105 0-.183-.04-.233-.122l-1.107-1.524a.309.309 0 00-.11-.101.37.37 0 00-.179-.033h-.437v1.78h-.575v-4.266h1.206c.27 0 .503.028.7.084.196.053.358.132.485.235a.94.94 0 01.285.375c.062.145.093.308.093.488 0 .15-.024.292-.072.423a1.12 1.12 0 01-.208.354c-.09.103-.2.192-.33.265a1.614 1.614 0 01-.441.167.57.57 0 01.19.181l1.245 1.694zm-32.603 4.205v1.491h1.753v.47h-1.753v1.834h-.578v-4.266h2.629v.47h-2.051zm5.804 3.31v.485h-2.42v-4.266h.574v3.78h1.846zm3.865.015l-.003.47H17.28v-4.266h2.629v.47h-2.051v1.418h1.66v.452h-1.66v1.456h2.054zm4.653.47h-.571a.156.156 0 01-.104-.033.367.367 0 01-.06-.077l-1.143-1.792a.64.64 0 01-.054.122l-1.113 1.67a.6.6 0 01-.065.077.124.124 0 01-.093.033h-.535l1.467-2.19-1.408-2.076h.575c.041 0 .072.007.092.021.02.014.038.034.054.06l1.113 1.708a.797.797 0 01.062-.137l1.051-1.56a.204.204 0 01.057-.065.118.118 0 01.077-.027h.55l-1.413 2.048 1.461 2.218zm1.786 0h-.578v-4.266h.578v4.266zm3.184-.458c.164 0 .306-.02.425-.057a.787.787 0 00.292-.158.624.624 0 00.17-.244.883.883 0 00.053-.312.635.635 0 00-.235-.521c-.157-.13-.392-.194-.705-.194h-.923v1.486h.923zm-.923-3.352v1.455h.762c.163 0 .303-.018.423-.053a.838.838 0 00.297-.15.58.58 0 00.176-.228.772.772 0 00.056-.298c0-.252-.075-.436-.226-.55-.15-.118-.385-.176-.702-.176h-.786zm.786-.456c.262 0 .487.026.675.078.19.051.347.125.468.22a.85.85 0 01.27.351c.058.137.087.292.087.465a.92.92 0 01-.197.571 1.066 1.066 0 01-.25.226c-.099.066-.216.12-.35.161.313.06.548.172.705.337.159.162.238.377.238.642 0 .181-.034.346-.101.495a1.037 1.037 0 01-.292.384 1.36 1.36 0 01-.47.25 2.158 2.158 0 01-.637.086h-1.507v-4.266h1.36zm5.504 3.78v.486h-2.42v-4.266h.574v3.78h1.846zm3.864.016l-.003.47h-2.628v-4.266h2.628v.47h-2.05v1.418h1.66v.452h-1.66v1.456h2.053z"
        fill="#676F8F"
      />
      <path
        d="M23.515 10.558a.96.96 0 00-.793-.945l-9.59-1.69a.96.96 0 00-.334 0L2.995 9.66a.96.96 0 00-.792.945v11.83a.96.96 0 00.022.202c.672 3.122 3.445 5.333 5.788 6.71a25.637 25.637 0 004.631 2.115l.022.007.007.002h.002l.001.001.29-.915-.29.915a.96.96 0 00.644-.023c5.013-1.993 7.58-4.163 8.889-5.939.655-.888.986-1.666 1.15-2.253a4.29 4.29 0 00.141-.713 2.847 2.847 0 00.016-.295V10.558z"
        fill="#EDEFF5"
        stroke="#939DFF"
        strokeWidth={1.919}
        strokeMiterlimit={10}
        strokeLinecap="square"
        strokeLinejoin="round"
      />
      <path
        opacity={0.7}
        d="M6.884 21.7V9.968l2.976-.733 5.21 20.533-2.233.734c-3.72-2.2-5.953-4.767-5.953-8.8z"
        fill="#D4D5E8"
      />
      <path
        d="M46.593 10.558a.96.96 0 00-.793-.945l-9.59-1.69a.96.96 0 00-.335 0L26.073 9.66a.96.96 0 00-.792.945v11.83a.96.96 0 00.021.202c.672 3.122 3.446 5.333 5.789 6.71a25.637 25.637 0 004.63 2.115l.023.007.007.002h.002v.001l.29-.915-.289.915a.96.96 0 00.643-.023c5.014-1.993 7.58-4.163 8.89-5.939.654-.888.985-1.666 1.15-2.253a4.29 4.29 0 00.14-.713 2.798 2.798 0 00.016-.295V10.558z"
        fill="#fff"
        stroke="#939DFF"
        strokeWidth={1.919}
        strokeMiterlimit={10}
        strokeLinecap="square"
        strokeLinejoin="round"
      />
      <path
        d="M26.36 23.357c1.536 5.07 9.682 7.256 9.682 7.256V8.924l-9.802 1.737v11.757c0 .317.028.635.12.939z"
        fill="#EDEFF5"
      />
      <path
        d="M38.68 4.983a.96.96 0 00-.794-.945L24.738 1.721a.96.96 0 00-.334 0L10.965 4.103a.96.96 0 00-.792.945v16.218c0 .068.008.136.022.202.887 4.123 4.57 7.087 7.768 8.968a34.771 34.771 0 006.17 2.83l.108.036.03.01.008.003h.003l.29-.914-.29.915a.96.96 0 00.643-.024c6.832-2.715 10.288-5.656 12.032-8.021.872-1.183 1.307-2.211 1.522-2.974.106-.38.157-.69.181-.918a3.532 3.532 0 00.02-.384V4.983z"
        fill="#fff"
        stroke="#939DFF"
        strokeWidth={1.919}
        strokeMiterlimit={10}
        strokeLinecap="square"
        strokeLinejoin="round"
      />
      <path
        d="M11.247 22.363c1.975 7.07 13.324 10.117 13.324 10.117V2.746L11.132 5.127v16.295c0 .317.03.636.115.94z"
        fill="#EDEFF5"
      />
      <path
        d="M24.74 12.324L21.236 21h-1.458l-3.504-8.676h1.296c.14 0 .254.034.342.102a.624.624 0 01.198.264l2.046 5.292c.068.172.132.362.192.57.064.204.124.418.18.642.048-.224.1-.438.156-.642.056-.208.118-.398.186-.57l2.034-5.292a.575.575 0 01.186-.252.543.543 0 01.348-.114h1.302zm3.113 1.284v2.568h3.252v1.29h-3.252V21h-1.62v-8.676h5.472v1.284h-3.852z"
        fill="#939DFF"
      />
    </svg>
  )
}

export const IconCheck = (props: SVGProps<SVGSVGElement>) => {
  return (
    <svg
      width={11}
      height={9}
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M10.318.927a.75.75 0 01.088 1.057l-5.5 6.5a.75.75 0 01-1.118.031l-2.833-3a.75.75 0 111.09-1.03l2.258 2.39 4.958-5.86a.75.75 0 011.057-.088z"
        fill="#43B748"
      />
    </svg>
  )
}
